Package: groovy.console.ui.text

## [Java] Class StructuredSyntaxDocumentFilter.MultiLineRun

- groovy.console.ui.text.StructuredSyntaxDocumentFilter.MultiLineRun

-     protected class StructuredSyntaxDocumentFilter.MultiLineRun
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MultiLineRun(int start, int end)`
    `MultiLineRun(int start, int end, int delimiterSize)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `end()`
    `` | `public int` | `getDelimeterSize()` deprecated: use getDelimiterSize() instead
    `` | `public int` | `getDelimiterSize()`
    `` | `public int` | `length()`
    `` | `public int` | `start()`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public MultiLineRun(int start, int end)

    - #### public MultiLineRun(int start, int end, int delimiterSize)

  - ### Method Detail

    - #### public int end()

    - #### @Deprecated
      public int getDelimeterSize()

      deprecated:
        use getDelimiterSize() instead

    - #### public int getDelimiterSize()

    - #### public int length()

    - #### public int start()

    - #### @Override
      public String toString()